Subject: bug#24041: 25.1.50; xwidget + -nw mode gives segfault

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 28 Aug 2019 22:04:24 +0200

Shane Hansen <[email-masked]> writes:

> Segfault when attempting to open xwidget from terminal emacs (-nw). I
> expect this not to work, but I also don't expect a segfault.
>
> Steps to reproduce:
>
> 1. Build emacs
> 2. run emacs via emacs -nw
> 3. Type M-x xwidget-webkit-browse-url
> 4. http://www.google.com
>
> Expected behaviour:
> error message due to lack of x windowing system
>
> Actual behaviour:
> segfault
>
> begin bt:
> #0 0x00007ffff6df3349 in gtk_style_context_get_background_color ()
> from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
> #1 0x00007ffff6e27746 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0

If I try this in Emacs 27, I just get the following error message:

xwidget-insert: make-xwidget: GTK has not been initialized

So I assume that this has been fixed in the years since this was
reported, and am closing this bug report.  If this problem is still
present, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no